
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>iOS中 UIToolBar 技术分享 / iVAN</title>

    <meta name="description" content="iOS中 UIToolBar 技术分享 UIToolBar存在于UINavigationController导航栏控制器中,而且默认被隐藏.当设置UIToolBar显示,或者存在UITabBarController且tabbar被隐藏的时候,toolbar就会显示出来.我们使用UIToolBar是由于它一直显示在屏幕底部,有时候我们需要在屏幕底部添加按钮或提示信息,就不需要另外创建一个UIView或其他视图了.因为创建UIView或其他视图需要适应屏幕尺寸,也会隐藏掉底部的视图显示,造成显示不完整的情况等. fixbleSpace类型">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">iOS中 UIToolBar 技术分享</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>UIToolBar存在于UINavigationController导航栏控制器中，而且默认被隐藏。当设置UIToolBar显示，或者存在UITabBarController且tabbar被隐藏的时候，toolbar就会显示出来。我们使用UIToolBar是由于它一直显示在屏幕底部，有时候我们需要在屏幕底部添加按钮或提示信息，就不需要另外创建一个UIView或其他视图了。因为创建UIView或其他视图需要适应屏幕尺寸，也会隐藏掉底部的视图显示，造成显示不完整的情况等。</p>
<p>fixbleSpace类型的BarButtonItem  主要用于工具条钮间距的调整.UIBarButtonSystemItem提供了一系列的系统按钮,其中有两个UIBarButtonSystemItemFlexibleSpace和UIBarButtonSystemItemFixedSpace</p>
<p>    这俩不是按钮,而是调整按钮间距用的对象</p>
<p>AppDelegate.m</p>
<pre> self.window.rootViewController = [[[UINavigationController alloc]initWithRootViewController:[RootViewController new]]autorelease];</pre>
<p> /************************** UIToolBar *************************************/</p>
<pre>//设置navigationController的toolbar为不隐藏
    self.navigationController.toolbarHidden = NO;
    //设置navigationController的toolbar的背景颜色
    self.navigationController.toolbar.barTintColor = [UIColor orangeColor];

    //下面生成3中常用的UIBarButtonItem 分别为:
    //1. 系统提供的UIBarButtonItem类型
    UIBarButtonItem * item1 = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemCamera target:self action:@selector(cameraClick:)];

    //2. 自定义显示内容的UIBarButtonItem类型
    UIBarButtonItem * item2 = [[UIBarButtonItem alloc] initWithTitle:@"保存" style:UIBarButtonItemStylePlain target:self action:@selector(collectClick:)];

    UIImage * image = [[UIImage imageNamed:@"pause"] imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal];

    //3.自定义图片的UIBarButtonItem类型
    UIBarButtonItem * item3 = [[UIBarButtonItem alloc] initWithImage:image style:UIBarButtonItemStyleDone target:self action:@selector(imageClick:)];

    //创建一个数组
    NSArray * ary = [NSArray arrayWithObjects:item1, item2, item3, nil];

    //将数组中的内容传递给navigationController的toolbarItems属性
    self.toolbarItems = ary;</pre>
<p>/********************* fixbleSpace类型的BarButtonItem **********************/</p>
<pre>UIBarButtonItem * item4 = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemAdd target:nil action:nil];

    UIBarButtonItem * item5 = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemEdit target:nil action:nil];

    UIBarButtonItem * item6 = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemCompose target:nil action:nil];

    UIBarButtonItem * item7 = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemReply target:nil action:nil];

//    不写默认靠左侧显示
    //    NSArray * ary = [[NSArray alloc] initWithObjects: item4, item5, item6, item7,  nil];

    //自动调间距
    NSArray * ary = [[NSArray alloc] initWithObjects: item4, self.flexibleSpace, item5, self.flexibleSpace, item6, self.flexibleSpace, item7, nil];

    //靠左侧显示
    //    NSArray * ary = [[NSArray alloc] initWithObjects: item4, item5, item6, item7, self.flexibleSpace, nil];

    //靠右侧显示
    //    NSArray * ary = [[NSArray alloc] initWithObjects: self.flexibleSpace, item4, item5, item6, item7, nil];

    self.toolbarItems = ary;
</pre>
<p>方法实现部分：</p>
<pre>- (void)cameraClick:(UIBarButtonItem *)sender
{
    NSLog(@"第一个被点击");
}

- (void)collectClick:(UIBarButtonItem *)sender
{
    NSLog(@"第二个被点击");
}

- (void)imageClick:(UIBarButtonItem *)sender
{
    NSLog(@"第三个被点击");
}
</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:39:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>iOS中 UIToolBar 技术分享的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRgRep.html" rel="bookmark">iOS中 UIProgressView 技术分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 UIProgressView 继承自UIView,用来显示进度的,如音乐,视频的缓冲进度,文件的上传下载进度等.让用户知道当前操作完成了多少,离操作结束还有多远 AppDelegate.m ProgressViewController *progressVC = [[ProgressViewController alloc]init]; self.window.rootViewController = progressVC; [progressVC release]; ProgressView			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvmmq6b.html" rel="bookmark">&lbrack;技术分享&rsqb;浅谈3D Touch 在Xamarin&period;iOS上的应用 （下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 接定义静态QuickActionsQuickActions的行为可以是一个或者多个,我们需要在Info.plist中声明他们,代码如下&lt;key&gt;UIApplicationShortcutItems&lt;/key&gt;&lt;array&gt;&lt;dict&gt;&lt;key&gt;UIApplicationShortcutItemIconType&lt;/key&gt;&lt;string&gt;UIApplicationShortcutIconTypeSearch&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR18Axb.html" rel="bookmark">iOS时钟开发案例分享&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家介绍了iOS时钟开发过程,供大家参考,具体内容如下 思路就是利用CALayer的隐式动画来实现.因为UIView的非根层也就是手动创建的layer在其属性发生变化时会默认会产生动画效果,这些属性也叫作可动画属性.比如bounds.backgroundColor.position. 时钟里面表盘就是一个UIView,而三根针就是三个手动创建的layer. 先在storyboard上弄一个UIImageView,设置表盘图片 然后在viewDidLoad中初始化三根针,并设置定时器,获			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr07Ep.html" rel="bookmark">iOS中SQLite数据库使用详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用SQLite数据库 创建数据库 创建数据库过程需要3个步骤: 1.使用sqlite3_open函数打开数据库: 2.使用sqlite3_exec函数执行Create Table语句,创建数据库表: 3.使用sqlite3_close函数释放资源. 这个过程中使用了3个SQLite3函数,它们都是纯C语言函数,通过Objective-C去调用C函数当然不是什么问题,但是也要注意Objective-C数据类型与C数据类型兼容性问题. 下面我们使用SQLite技术实现备忘录案例,与属性列表文件实现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAaGGZM.html" rel="bookmark">iOS网络编程入门：iOS中的Socket编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用Socket进行C/S结构编程,连接过程 服 务器端监听某个端口是否有连接请求.服务器端程序处于堵塞状态,直到客户端向服务器端发出连接请求,服务器端接受请求程序才能向下运行.一旦连接建立起 来,通过Socket可以获得输入输出流对象.借助于输入输出流对象就可以实现与客户端的通讯,最后不要忘记关闭Socket和释放一些资源(包括:关闭 输入输出流). 客户端流程是先指定要通讯的服务器IP地址.端口和采用的传输协议(TCP或UDP),向服务器发出连接请求,服务器有应答请求之后,就会建立连接.之后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkPJab.html" rel="bookmark">通用社区登陆组件技术分享（开源）下篇：OAuth 源码下载及原理解说</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上节内容: 1:通用社区登陆组件技术分享(开源)上篇:OAuth 授权登陆介绍 2:通用社区登陆组件技术分享(开源)中篇:OAuth 登陆组件流程及组件集成方法   本节内容: 1:简述组件设计的过程及思路及部分重点源码讲解 2:源码下载 3:扩展机制说明  附源码截图:等会看以下思路时,可以对照着看:   一:简述组件设计的过程及思路   1:为什么想到弄成组件? 当重复的代码或相似的事件&gt;=2个时,我都会想一下,是否还可能有第3个,第4个相近的,如果有,就会统一处理,组件就是设计的再通用一些			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLarWvz.html" rel="bookmark">通用社区登陆组件技术分享（开源）中篇：OAuth 登陆组件流程及组件集成方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上节内容:通用社区登陆组件技术分享(开源)上篇:OAuth 授权登陆介绍   本节包括以下内容: 1:第三方社区账号登陆的授权流程 2:OAuth2 组件的下载及web.config配置 3:OAuth2 组件的5行代码编写流程 4 :总结与下节内容预告     一: 第三方社区账号登陆的授权流程 1:首先从这里开始:用户进入登陆界面   2:用户点击用新浪微博或QQ登陆,系统跳到第三方授权页面,(QQ示例授权界面) 3:确定授权后,第三方跳转返回你的回调页(在应用里设置),通常仍是系统登陆页面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYR6Krp.html" rel="bookmark">谈谈公司内部的技术分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    这段时间,为了促进程序同事间技术氛围,在公司内部组织开展技术分享会.形式很简单,每两周也就是半个月,进行一次技术分享:分享人由组员顺序安排:题材不限,可以是自己熟悉的技术,比如说服务端的开发者,分享后端定时器,消息队列等等,前端的开发者分享加载的模式,MVC模式等等,可以是一些通用的技术,比如数据结构,算法,代码风格,Effective 系列,调试技巧等,甚至可以是经典书的读后感等等,抑或是最近大家在研究一个开源的项目,也可以跟大家讲一下这个开源项目的框架:或许有些人利用业余时间做了一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5olDRb.html" rel="bookmark">iOS 中正则表达式使用方法汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS 中正则表达式使用方法汇总 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&quot;创作公用协议 转载请保留此句:太阳火神的美丽人生 -  本博客专注于 敏捷开发及移动和物联设备研究:iOS.Android.Html5.Arduino.pcDuino,否则,出自本博客的文章拒绝转载或再转载,谢谢合作. 某种语言中的正则工具算是木桶,而这个工具处理的是正则表达式,算是水,那么水很多,无论是淡水还是咸水,或是雨水,至			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqVYpm.html" rel="bookmark" class="title">Win7搜索不能用怎么办</a>
					<div>
						  Win7搜索功能是很多Win7用户比较常用的系统功能,通过搜索,可以快速找到电脑中的相关文件.不过最近有网友遇到了Win7搜索不能用的情况,其不知道如何解决.针对此问题,笔者为其分析了一些Win7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD5nBb.html" rel="bookmark" class="title">asp学习入门经验谈</a>
					<div>
						入门经验|入门经验 一.VBScript语法简介 VBScript语句是一种基于VB的一种脚本语言,主要用于WEB服务器端的程序开发,我们这里只介绍一些简单的语句,主要是操作数据库的几种常见的语句&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrGAyp.html" rel="bookmark" class="title">同样高质量的原创文章命运却如此不同</a>
					<div>
						有句话说的很有道理,良好的开端是成功的一半,在SEO中,写文章就像这句话一样,你可以发现一个好的标题是一篇原创文章成功的一半,你可以看到文章题目的编写也是一门学术.一直觉得一篇好的文章,其精髓不在于内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXDdvp.html" rel="bookmark" class="title">数据模型</a>
					<div>
						我们知道,所谓数据是信息的一种表达形式.那些成千上万的数据有没有共性呢?如果有的话,我们应该采用什么样的方式来描述它们的共性呢.由此,我们就引入了数据模型的概念.数据模型是成千上万数据的一种抽象,它不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg1qAz.html" rel="bookmark" class="title">留住永恒的画面 暴风影音截图功能体验</a>
					<div>
						说到媒体播放器的截图功能,相信很多朋友都会说,这个功能太常用了.每当看到有什么精彩的画面想和朋友们分享的时候,或者是自己DIY一些图片.海报或者搞笑图片的时候,截图功能是绝对的利器.但由于大多数用户对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyyr8b.html" rel="bookmark" class="title">Aspjpeg组件写的一个类</a>
					<div>
						&lt;% ''ASPJPEG综合操作CLASS ''Authour: tony 05/09/05 Class AspJpeg Dim AspJpeg_Obj,obj Private Img_Math ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2GjJb.html" rel="bookmark" class="title">第十八章-Delphi客户服务器应用开发（三）&lpar;4&rpar;</a>
					<div>
						18.3.2.2 使用隐式控制 在缺省情况下,Delphi通过BDE为应用程序提供隐式事务控制.当应用程序处于隐式事务控制时Delphi为DataSet中的写每个记录进行隐式事务控制.它提交每一个独立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2kEep.html" rel="bookmark" class="title">ASP&period;NET程序中值得注意的两个地方</a>
					<div>
						本文给出了在ASP.NET中ASPX页面的Page_Load事件的两个需要注意的地方: 1.有时Page_Load事件在你的ASP.NET页面里会发生多次: 2.有时好象一个按纽的单击事件处理代码并没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK1eOp.html" rel="bookmark" class="title">SQL Server的系统表格sysobjects</a>
					<div>
						关于SQL Server数据库的一切信息都保存在它的系统表格里.我怀疑你是否花过比较多的时间来检查系统表格,因为你总是忙于用户表格.但是,你可能需要偶尔做一点不同寻常的事,例如数据库所有的触发器.你可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7keqdz.html" rel="bookmark" class="title">Word 2007自动调整表格文字大小</a>
					<div>
						Word 2007自动调整表格文字大小 step1:选中目标单元格-右键-表格属性 step2:表格属性-选项 step3:单元格选项-适应文字					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr69Jp.html" rel="bookmark" class="title">windows rsync完整教程</a>
					<div>
						rsync是类unix系统下的数据镜像备份工具,从软件的命名上就可以看出来了--remote sync. 它的特性如下: 1.可以镜像保存整个目录树和文件系统. 2.可以很容易做到保持原来文件的权限. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPAD8z.html" rel="bookmark" class="title">在excel中怎么隔行插入多列&quest;</a>
					<div>
						  在excel中怎么隔行插入多列?在excel中隔行插入多列用法也很普遍,那如何操作呢?我们来学习一下. 步骤 打开excel文件,找到要插入多列的表格内容. 首先在名字上方插入一行,右键-插入-整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjPgvb.html" rel="bookmark" class="title">Win7打印机驱动无法安装怎么办</a>
					<div>
						  步骤如下: 1.将打印机与电脑连接并通电,这是我的习惯,主要是看连接有没问题,不要等装到一半提示你连接打印机的时候才发现XX不行,那就掉的大了,如图: 2.安装下载好的驱动. 3.我喜欢把驱动程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E4o3M.html" rel="bookmark" class="title">笔记本用什么装系统最快</a>
					<div>
						对于笔记本玩家来说,安装操作系统是很常见的操作,特别是在闪存和移动硬盘普及的当前,越来越多的用户选择使用上述设备安装操作系统,而逐渐放弃容易损坏的光盘.但是面对如此多可以选择的Windows7安装介质 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywv4lz.html" rel="bookmark" class="title">让扁平化设计也爆发视觉冲击力</a>
					<div>
						扁平化设计无疑是当前讨论最多,最火的设计形式,自ios7面世以来更是将扁平化设计的讨论推向风口浪尖. 在这里我不想分析拟物设计和扁平化设计的优劣,更不想说谁更好!在形式服从内容的今天,我只能说哪种设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwLvnb.html" rel="bookmark" class="title">Win7如何查询CPU占比</a>
					<div>
						  第一步. 空白桌面上单击右键,选中&quot;小工具&quot;. 第二步.我们可以看到小工具中有个&quot;CPU仪表盘&quot;,小编这个是显示英文的,意思是一样的. 第三步.我们双击图标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY9Pvb.html" rel="bookmark" class="title">Vista磁盘镜像工具简介</a>
					<div>
						相对于Northon Ghost,首先从镜像大小来说,Vista生成的镜像为6个G,而Ghost镜像则为3个G左右,是前者的一半.再论速度,Vista的备份及恢复过程与Ghost差距不大,多花3分钟左 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3e13M.html" rel="bookmark" class="title">CAD如何打印出清晰的、黑白的图纸</a>
					<div>
						  CAD如何打印出清晰的.黑白的图纸 CAD打印设置 CAD打印出清晰的.黑白的图纸的方法: 打开要打印的CAD文件,按&quot;ctrl+P&quot;快捷键,打开&quot;打印&quot;对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYoWOb.html" rel="bookmark" class="title">联想Y480一键除尘怎么用</a>
					<div>
						  除尘功能右下角里面有一个车子一样的图标会弹出一个界面,然后再选择界面中的那个扳手那样的图标,在弹出的界面就有风扇除尘功能. 但是,它不能替代你拆机清灰.就是说,它不能保证灰尘不积累.当灰尘积累的足 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRx6Zp.html" rel="bookmark" class="title">基于TableStore的数据采集分析系统介绍</a>
					<div>
						摘要 在互联网高度发达的今天,ipad.手机等智能终端设备随处可见,运行在其中的APP.网站也非常多,如何采集终端数据进行分析,提升软件的品质非常重要,例如PV/UV统计.用户行为数据统计与分析等.虽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3RK4p.html" rel="bookmark" class="title">HealthKit：苹果的医疗平台梦</a>
					<div>
						摘要: 今年 WWDC 上,集成在 iOS 8 中的 HealthKit 无疑是一大亮点.苹果首次尝试将来自不同源的健康数据进行整合,以统一的形式呈现给用户.此外,苹果还宣布了与电子健康档案市场的主导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZALRz.html" rel="bookmark" class="title">java-字节流复制图片的问题，报错，复制失败，图片损坏而且为0 kb</a>
					<div>
						问题描述 字节流复制图片的问题,报错,复制失败,图片损坏而且为0 kb import java.io.*; class Lee{ public static void main (String[] a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAQwnM.html" rel="bookmark" class="title">敏捷开发&lpar;XP&comma; SCRUM&rpar;</a>
					<div>
						敏捷方法的核心思想 敏捷方法是适应型(Adaptive),而非可预测型(Predictive).与传统方法不同,敏捷方法拥抱变化,利用变化来发展,甚至改变自己,最后完善自己.也就是要用重构(Refac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRxaGp.html" rel="bookmark" class="title">OSPF 实验详解（3）</a>
					<div>
						OSPF实验步骤:2． 配置R4的辅助地址Router(config)#intf1/0 Router(config-if)#ipadd192.168.6.1255.255.255.0secondary ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkJAqM.html" rel="bookmark" class="title">图文混排列表怎么实现呢？</a>
					<div>
						问题描述 红线框部分是图片,绿线框部分是文字,我用listview+imagelist只能实现上面图片,下面文字的排列:不能实现上面图片,下左图片,下右文字的排列,下面这种排列用什么控件能实现呢? 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJNZnp.html" rel="bookmark" class="title">代码-为什么action里面execute方法内的第一行的打印语句在后台没显示？</a>
					<div>
						问题描述 为什么action里面execute方法内的第一行的打印语句在后台没显示? 写了一个登陆的模块,发现不能登录,用debug调试,并特意在execute方法第一条设置一个 打印语句,调试的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8nJob.html" rel="bookmark" class="title">小技巧：取得MYSQL中ENUM（枚举）列的全部可能值</a>
					<div>
						这里其实并不需要其它的什么函数来支持,只需要使用MYSQL提供的一些SQL语句就可以了.这里为了简单起见,以MYSQL的系统表USER为例,取出SELECT＿PRIV这一列的所有可能值.方法:SHOW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWaRvz.html" rel="bookmark" class="title">VBS教程：方法-Keys 方法&lowbar;vbs</a>
					<div>
						Keys 方法 返回一数组,其中包含有 Dictionary 对象的所有现存键. object.Keys object 应为 Dictionary 对象的名称. 说明 下列代码举例说明如何使用 Key ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QyX6p.html" rel="bookmark" class="title">阿里云推游戏评测平台游戏云进入2&period;0时代</a>
					<div>
						3月16日,在阿里游戏年度发布会上,阿里云(http://click.aliyun.com/m/1866/)携手阿里游戏发布游戏评测平台,为游戏上线提供产品分析和性能测试服务,并全面升级旗下云计算产品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWl9az.html" rel="bookmark" class="title">ue-UE的坐标系怎么调整？</a>
					<div>
						问题描述 UE的坐标系怎么调整? 不小心搞到这个轴要怎么办,请问怎么调回去?现在天旋地转感觉头好晕					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
